{% load transport_utils agenda %}

<div>
    Pour <b>{{ transport.client }}</b><br>
    le <b>{{ transport.date|date_transp }}</b>
</div>

<div class="transport_container">
    <div class="row">
        <div class="col-sm-3 horaire">
            Dép: {{ transport.heure_depart|as_hour_min }}
        </div>
        <div class="col-sm-9">
            {{ transport.adresse_depart }}
        </div>
    </div>

    {% for trajet in transport.trajets_tries %}
        {% if trajet.destination_princ %}
        <div class="row">
            <div class="col-sm-3 horaire">
                Rdv: {{ transport.heure_rdv|as_hour_min }}
            </div>
            <div class="col-sm-9">
                {{ transport.destination }}
            </div>
        </div>
            {% if transport.retour %}
            <div class="row border-top border-bottom pt-2 pb-2">
                <div class="col-sm-3 horaire"></div>
                <div class="col-sm-9 fst-italic">
                    Durée estimée du rendez-vous: {{ transport.duree_rdv|format_duree }}
                </div>
            </div>
            <div class="row">
                <div class="col-sm-3 horaire">
                    Dép: {{ transport.heure_depart_retour|as_hour_min }}
                </div>
                <div class="col-sm-9">
                    {{ transport.destination }}
                </div>
            </div>
            {% else %}
                <div>Aller simple</div>
            {% endif %}
        {% elif not forloop.first and not forloop.last %}
        <div class="row">
            <div class="col-sm-3 horaire">
                En passant par:
            </div>
            <div class="col-sm-9">
                {{ trajet.destination }}
            </div>
        </div>
        {% endif %}
    {% endfor %}
    {% if transport.retour %}
        <div class="row">
            <div class="col-sm-3 horaire">
                Arr: {{ transport.heure_arrivee|as_hour_min }}
            </div>
            <div class="col-sm-9">
                {{ transport.adresse_depart }}
            </div>
        </div>
    {% endif %}
</div>
